Get invoice providers
curl --request GET \
--url https://api.bitgpt.xyz/providers/{invoice_id}import requests
url = "https://api.bitgpt.xyz/providers/{invoice_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bitgpt.xyz/providers/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"data": {
"providers": [
{
"id": "prov_solana_usdc",
"provider": "CRYPTO",
"network": "SOLANA",
"gateway": "USDC",
"type": "native",
"filters": [
"evm",
"svm"
],
"metadata": {
"decimals": 6,
"contract_address": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
"image_url": "https://example.com/usdc.png",
"image_url_network": "https://example.com/usdc_network.png"
}
}
]
},
"error": null,
"log": null,
"validator": null,
"support_id": null,
"message": "Resource created successfully",
"env": "development"
}{
"status": 400,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 401,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}{
"status": 403,
"error": "Invalid email address",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
},
"support_id": "support_uuidv7-something-else",
"data": {}
}Payments and Invoices
Get invoice providers
Retrieve list of available payment providers for a specific invoice by ID
GET
/
providers
/
{invoice_id}
Get invoice providers
Path Parameters
Invoice ID
Response
Available payment providers retrieved successfully
Status code of the response
Available options:
200, 201, 202 Response data containing the requested object
Show child attributes
Show child attributes
Message of the response, human readable
Example:
"Resource created successfully"
API environment
Available options:
development, production Error message of the response, human readable
Example:
"Invalid email address"
Useful informaiton, not always present, to debug the response
Examples:
{ "request_id": "req_1234567890" }
"Some pertinent log message"
Validator response object, each key is the field name and value is the error message
Example:
{
"email": "Invalid email address",
"password": "Password is required"
}
Support ID linked to the response, used to identify it when talking with our team
Example:
"support_uuidv7-something-else"

